Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression. The purpose of revision 116070.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jan 2014 19:35:10 +0200

> Date: Sat, 25 Jan 2014 20:27:21 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> If I've understood correctly, I think the root cause of the slowness is
> the lack of optimisation of find_defun_start when open-paren-etc. is nil
> - it brutally returns BOB, no matter what.

FWIW, I don't think this is the culprit, at least not directly.  Why
does CC Mode fontification code decide to scan the buffer backwards
from EOB, when point is at BOB, is a much more relevant question, so
it seems.